OpenNMS API 1.2.9

## org.opennms.netmgt.scheduler
Interface ReadyRunnable

All Superinterfaces:
  java.lang.Runnable

All Known Implementing Classes:
  CollectableService, PollableService, Schedule.ScheduleEntry, ScheduleTest.MockSchedulable, ThresholdableService

public interface ReadyRunnable
extends java.lang.Runnable

This interface extends the `runnable`interface and provides a method to determine if the runnable is ready to start.

Author:
  Brian Weaver , OpenNMS.org

Method Summary
`boolean` `isReady()` Returns true if the runnable is ready to start.

Methods inherited from interface java.lang.Runnable
`run`

Method Detail

### isReady

    public boolean isReady()

  Returns true if the runnable is ready to start.

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.